org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryCloseRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlListenerRequest
  - - org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest
    - - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryCloseRequest

    public class OdbcQueryCloseRequest
    extends OdbcRequest

SQL listener query close request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`META_COLS, META_PARAMS, META_TBLS, QRY_CLOSE, QRY_EXEC, QRY_EXEC_BATCH, QRY_FETCH`

### Fields inherited from class org.apache.ignite.internal.processors.odbc.SqlListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryCloseRequest(long queryId)`

### Method Summary

Methods
`long` `queryId()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`command`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.SqlListenerRequest

`requestId, requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQueryCloseRequest

    public OdbcQueryCloseRequest(long queryId)

Parameters:
  `queryId` - Query ID.

### Method Detail

#### queryId

    public long queryId()

Returns:
  Query ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017